Package net.shibboleth.idp.cas.attribute

# Class Attribute

java.lang.Object
net.shibboleth.idp.cas.attribute.Attribute

public class Attribute extends Object
Wrapper class for a CAS attribute/values construct in a validate response.

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`name`
Name of attribute.
`private final Collection<String>`
`values`
String values.

## Constructor Summary

Constructors
Constructor
Description
`Attribute(String theName)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
Get the attribute's name.
`Collection<String>`
`getValues()`
Get string values.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### name

@Nonnull @NotEmpty private String name
Name of attribute.

### values

@Nonnull private final Collection<String> values
String values.

## Constructor Details

### Attribute

public Attribute(@Nonnull @NotEmpty String theName)
Constructor.

Parameters:
  `theName` - name of attribute

## Method Details

### getName

@Nonnull @NotEmpty public String getName()
Get the attribute's name.

Returns:
  the name

### getValues

@Nonnull @Live public Collection<String> getValues()
Get string values.

Returns:
  string value collection